#ifndef __CFCONSOLE_H__
#define __CFCONSOLE_H__

#include "Window.H"
#include "TextArea.H"

class CFConsole: public Window {
	public:
		CFConsole(int wdth,int hght,bool brdr=true,bool shdw=true);
		~CFConsole();
		widstat input(Char inp);
		widstat style(Char stile);
		int log(const string &str);
		int log(const char *txt, ...);
	private:
		Char _tstile;
		unsigned int _lcount;
		TextArea *_consol;
		CFConsole(const CFConsole &);
		CFConsole &operator=(const CFConsole &);
};

#endif // __CFCONSOLE_H__
