#ifndef __CFLOGIN_H
#define __CFLOGIN_H

#include "Window.H"
#include "TextInput.H"
#include "Checkbox.H"

class CFLogin: public Window {
	public:
		CFLogin(int wdth,int hght,bool brdr=true,bool shdw=true);
		~CFLogin();
		widstat input(Char inp);
		widstat style(Char stile);
		int setInfo(const string &user, const string &passwd,
				const string &room, bool savedata=false, bool ready=false);
		int getInfo(string &user, string &passwd, string &room, bool &savedata);
		int setStatusMessage(const string txt);
	private:
		bool _ready;
		bool _savedata;
		Text _nameLabel;
		Text _passwdLabel;
		Text _roomLabel;
		Text _saveLabel;
		Text _statusLabel;
		TextInput *_active;
		TextInput *_userTI;
		TextInput *_passwdTI;
		TextInput *_roomTI;
		Checkbox *_savestate;
		CFLogin(const CFLogin &);
		CFLogin &operator=(const CFLogin &);
};

#endif // __CFLOGIN_H
