#include "CFMenu.H"

CFMenu::CFMenu(unsigned int wdth, Menu *handler):
	MenuBar(wdth) {
	Char 
		c;

	c='l';
	_file.addMenuItem(CFMENU_LOG,handler,c);
	c='n';
	_file.addMenuItem(CFMENU_SIGNON,handler,c);
	c='f';
	_file.addMenuItem(CFMENU_SIGNOFF,handler,c);
	_file.addMenuItem("-----------",NULL);
	c='q';
	_file.addMenuItem(CFMENU_QUIT,handler,c);

	c='f';
	_edit.addMenuItem(CFMENU_EFRIENDS,handler,c);
	c='i';
	_edit.addMenuItem(CFMENU_EIGNORE,handler,c);
	c='a';
	_edit.addMenuItem(CFMENU_EAIGNORE,handler,c);
	c='r';
	_edit.addMenuItem(CFMENU_EFAVROOM,handler,c);
	c='c';
	_edit.addMenuItem(CFMENU_ECOLORS,handler,c);
	c='b';
	_edit.addMenuItem(CFMENU_EBUFSIZE,handler,c);
	c='k';
	_edit.addMenuItem(CFMENU_EKEYS,handler,c);

	c='r';
	_view.addMenuItem(CFMENU_VROOMLST,handler,c);
	c='c';
	_view.addMenuItem(CFMENU_VCHATLST,handler,c);
	c='p';
	_view.addMenuItem(CFMENU_VPMLST,handler,c);
	c='l';
	_view.addMenuItem(CFMENU_VTRCLOG,handler,c);
	c='f';
	_view.addMenuItem(CFMENU_CLRSCR,handler,c);
	c='o';
	_view.addMenuItem(CFMENU_VBWTOG,handler,c);

	c='n';
	_inp.addMenuItem(CFMENU_TNORMINP,handler,c);
	c='k';
	_inp.addMenuItem(CFMENU_TKSHINP,handler,c);

	c='i';
	_misc.addMenuItem(CFMENU_MTXTINP,&_inp,c);
	c='a';
	_misc.addMenuItem(CFMENU_MAIGNORE,handler,c);
	c='c';
	_misc.addMenuItem(CFMENU_MFLCASE,handler,c);
	c='n';
	_misc.addMenuItem(CFMENU_MSTRIPNL,handler,c);
	c='w';
	_misc.addMenuItem(CFMENU_MWRAPTXT,handler,c);

	c='t';
	_adv.addMenuItem(CFMENU_ATHROT,handler,c);

	c='c';
	_help.addMenuItem(CFMENU_HELP,handler,c);
	c='s';
	_help.addMenuItem(CFMENU_AWAYHELP,handler,c);
	_help.addMenuItem("-------------",NULL);
	c='a';
	_help.addMenuItem(CFMENU_ABOUT,handler,c);

	c='f';
	c.setAlt();
	addMenu("File", &_file, c);
	c='e';
	c.setAlt();
	addMenu("Edit", &_edit, c);
	c='v';
	c.setAlt();
	addMenu("View", &_view, c);
	c='m';
	c.setAlt();
	addMenu("Misc", &_misc, c);
	c='a';
	c.setAlt();
	addMenu("Advanced", &_adv, c);
	c='h';
	c.setAlt();
	addMenu("Help", &_help, c, true);
}

CFMenu::~CFMenu() {
}
