#ifndef __CFSTATUSBAR_H__
#define __CFSTATUSBAR_H__

#include "Widget.H"
#include <string>

using namespace std;

class CFStatusBar: public Widget {
	public:
		CFStatusBar(int wdth);
		~CFStatusBar();
		widstat input(Char) { return (ws_rejected); } 
		const Grid &draw();
		bool update() { return (_changed); }
		unsigned int height() const { return 1; }
		unsigned int width() const { return (_width); }
		widstat style(Char stile) { _stile=stile; _changed=true;
			return (ws_rejected); }
		void setRoom(string room) { _room=room; _changed=true; }
		void unsetRoom();
		void setErr() { _err=true; _changed=true; }
		void unsetErr() { _err=false; _changed=true; }
		void setPM() { _pm=true; _changed=true; }
		void unsetPM() { _pm=false; _changed=true; }
		void setAway() { _away=true; _changed=true; }
		void unsetAway() { _away=false; _changed=true; }
	private:
		Grid *_grd;
		unsigned int _width;
		Char _stile;
		bool _changed;
		string _room;
		bool _pm;
		bool _err;
		bool _away;
		CFStatusBar(const CFStatusBar &);
		CFStatusBar &operator=(const CFStatusBar &);
};

#endif // __CFSTATUSBAR_H__
