#ifndef __CFTHROTTLE_H
#define __CFTHROTTLE_H

#include "Window.H"
#include "Slider.H"
#include "Text.H"

class CFThrottle: public Window {
	public:
		CFThrottle(int wdth,int hght,bool brdr=true,bool shdw=false);
		~CFThrottle();
		widstat input(Char inp);
		widstat style(Char stile) { style(stile,stile); }
		widstat style(Char stile, Char tstile);
		int setValues(long rwait=-1, long iwait=-1, long ihwait=-1);
		int getValues(long &rwait, long &iwait, long &ihwait);
	private:
		Text _inputLabel;
		Text _inputHandlerLabel;
		Text _refreshLabel;
		Text _label1;
		Text _label2;
		Text _label3;
		Slider *_inputS;
		Slider *_inputHandlerS;
		Slider *_refreshS;
		Slider *_active;
		CFThrottle(const CFThrottle &);
		CFThrottle &operator=(const CFThrottle &);
};

#endif // __CFTHROTTLE_H
