#ifndef _MENUBAR_H_
#define _MENUBAR_H_

#include "Widget.H"
#include "WidgetList.H"
#include "Menu.H"

class MenuBar: public Widget {
	public:
		MenuBar(unsigned int wdth);
		~MenuBar();
		virtual widstat input(Char chr);
		virtual const Grid &draw();
		virtual bool update() {  return (_changed); }
		virtual unsigned int height() const { return (_height); }
		virtual unsigned int width() const { return (_width); }
		virtual widstat style(Char chr);
		virtual widstat gotFocus();
		virtual void lostFocus();
		virtual int addMenu(string name, Menu *wgt, Char activator,
				bool alignright=false);
	private:
		Grid *_grd;
		WidgetList _itemlist;
		unsigned int _width;
		unsigned int _height;
		unsigned int _loff;
		unsigned int _roff;
		int _active;
		Char _stile;
		bool _changed;
		MenuBar(const MenuBar &);
		MenuBar &operator=(const MenuBar &);
};

#endif // _MENUBAR_H_
