#ifndef __SLIDER_H__
#define __SLIDER_H__

#include "Widget.H"

class Slider: public Widget {
    public:
        Slider(unsigned int wdth, unsigned int hght, int min, int max);
        ~Slider();
        widstat input(Char inp);
        const Grid &draw();
        bool update() { return (_changed); }
        unsigned int height() const { return (_height); }
        unsigned int width() const { return (_width); }
		int getPos() { return _cur; }
		int setPos(int cur) {
			if (cur>_max) cur=_max; else if (cur<_min) cur=_min; else _cur=cur;
			 return _cur; }
        widstat style(Char stile) { return (style(stile,stile)); }
        widstat style(Char stile, Char tstile) { _stile=stile; _tstile=tstile;
			if (!_stile.isBold()) _stile.tBold();
			if (!_tstile.isBold()) _tstile.tBold();
			_changed=true; return (ws_accepted); }
	protected:
		Slider(const Slider &);
		Slider &operator=(const Slider &);
		Grid *_grd;
		bool _changed;
		Char _stile;
		Char _tstile;
		unsigned int _width;
		unsigned int _height;
		long _min;
		long _max;
		long _cur;
};

#endif // __SLIDER_H__
