#ifndef __TEXTWIN_H__
#define __TEXTWIN_H__

#include "Window.H"
#include "TextArea.H"

class TextWin: public Window {
	public:
		TextWin(int wdth,int hght,bool brdr=true,bool shdw=true,
			const string txt="", const string ttl="");
		~TextWin();
		widstat input(Char inp);
		widstat style(Char stile);
		widstat style(Char stile, Char tstile);
		void resetPosition() { (*_ta).toTop(); _rebld=true; }
	private:
		Char _tstile;
		TextArea *_ta;
		TextWin(const TextWin &);
		TextWin &operator=(const TextWin &);
};

#endif // __TEXTWIN_H__
