#ifndef __CFCHATAREA_H__
#define __CFCHATAREA_H__

#include "TextArea.H"
#include "Logger.H"
#include "YahooMessage.H"
#include "StrList.H"

class CFChatArea:public TextArea {
	public:
		CFChatArea(unsigned int wdth, unsigned int hght);
		~CFChatArea();
		int enableLog(const string &fname);
		int printMsg(const YahooMessage &msg);
		void printOfflineMsg(); 
		void printList(const StrList &ulist, const char *headermsg,
			const char *emptymsg);
	private:
		Logger *_chatlog;
		CFChatArea(const CFChatArea &tg);
		CFChatArea &operator=(const CFChatArea &tg);
};

#endif //__CFCHATAREA_H__
