#ifndef __CFCOMMAND_H__
#define __CFCOMMAND_H__

#include <string>
#include "YahooProto.H"
#include "CFMenu.H"
#include "FStrPairList.H"
#include "StrList.H"

class CFCommand {
	public:
		CFCommand(YahooProto &yp, Menu &menu, const string fname="");
		~CFCommand();
		int handleCommand(const string &command);
	private:
		static unsigned long MSecsToComplete;
		YahooProto &_yp;
		Menu &_menu;
		FStrPairList *_commandlist;
		CFCommand(const CFCommand &);
		CFCommand &operator=(const CFCommand &);
		int handleCustomCommand(const string &command, string &result);
		int handleExecCommand(const string &command, string &result);
		int parse(const string &line, StrList &lst);
		int replace(const string &line, const StrList &lst, string &result);
};

#endif //__CFCOMMAND_H__
