#ifndef __CFMENU_H__
#define __CFMENU_H__

#include "MenuBar.H"
#include "Menu.H"

#define CFMENU_LOG		"Log..."
#define CFMENU_SIGNON		"Sign On"
#define CFMENU_SIGNOFF		"Sign Off"
#define CFMENU_QUIT		"Quit"
#define CFMENU_EFRIENDS		"Friends List"
#define CFMENU_EIGNORE		"Ignore List"
#define CFMENU_EAIGNORE		"Auto-Ignore Criteria"
#define CFMENU_EFAVROOM		"Favorite Rooms"
#define CFMENU_ECOLORS		"Colors"
#define CFMENU_EBUFSIZE		"Buffer Size"
#define CFMENU_EKEYS		"Keys"
#define CFMENU_VROOMLST		"Room List"
#define CFMENU_VCHATLST		"Chatters List"
#define CFMENU_VPMLST		"PM History"
#define CFMENU_VTRCLOG		"Trace Log"
#define CFMENU_CLRSCR		"Flush Buffer"
#define CFMENU_VBWTOG		"Color/B&W"
#define CFMENU_MTXTINP		"Text Input Style..."
#define CFMENU_MAIGNORE		"  Auto Ignore"
#define CFMENU_MFLCASE		"  Force Lowercase"
#define CFMENU_MSTRIPNL		"  Strip Newlines"
#define CFMENU_MWRAPTXT		"  Wrap Text"
#define CFMENU_TNORMINP		"  Normal"
#define CFMENU_TKSHINP		"  ksh/vi"
#define CFMENU_ATHROT		"Cpu Throttle"
#define CFMENU_HELP		"Commands"
#define CFMENU_AWAYHELP		"Away Shorthand"
#define CFMENU_ABOUT		"About Curfloo"
#define CFMENU_OBUDDIES		"List Buddies"
#define CFMENU_OCHATTERS	"List Chatters"
#define CFMENU_OPMLOG		"Add to PM log"
#define CFMENU_OFOLLOW		"(un)Follow User"
#define CFMENU_OIGNORE		"(show)Ignore User(s)"
#define CFMENU_OUNIGNORE	"Unignore User"
#define CFMENU_OMUTE		"(show)Mute User(s)"
#define CFMENU_OUNMUTE		"Unmute User"
#define CFMENU_OLOCALEXEC	"Local Exec"
#define CFMENU_OPROFILE		"User Profile"

// START BEM
// Needed for two new commands: /pms /activity
#define CFMENU_OACTIVITY	"Toggle Room Activity"
#define CFMENU_OPMS		"Toggle Private Message Activity"
// END BEM

class CFMenu: public MenuBar {
	public:
		CFMenu(unsigned int wdth, Menu *handler);
		~CFMenu();
	private:
		CFMenu(const CFMenu &);
		CFMenu &operator=(const CFMenu &);
		Menu _file;
		Menu _edit;
		Menu _view;
		Menu _misc;
		Menu _adv;
		Menu _inp;
		Menu _help;
};

#endif // __CFMENU_H__
