#include "CFPMListWin.H"
#include <stdio.h>
#include <time.h>

CFPMListWin::CFPMListWin(int wdth, int hght,bool brdr, bool shdw):
		Window(wdth,hght,brdr,shdw) {
	_rebld=true;
	_wtitle="PM History";
	_ta=new TextArea(wdth-4,hght-2,256,true,false,false,14);
	(*_ta).style(_stile);
	Window::add("PM list",_ta,2,1);
}

CFPMListWin::~CFPMListWin() {
	delete (_ta);
}

widstat CFPMListWin::input(Char inp) {
	return (*_ta).input(inp);
}

widstat CFPMListWin::style(Char stile) {
	_stile=stile;
	(*_ta).style(_stile);
	_rebld=true;
	return (ws_accepted);
}

void CFPMListWin::printTo(const string &who, const string &what, bool outb) {
	Char
		s=_stile;
	Text
		twho,
		twhat;
	time_t
		secs;
	struct tm
		*tinfo;
	char
		buf[128];
	
	secs=time(NULL);
	tinfo=localtime(&secs);
	sprintf(buf,"(%02d/%02d) %02d:%02d ",tinfo->tm_mon+1,tinfo->tm_mday,
			tinfo->tm_hour, tinfo->tm_min);
	s.setFore(cc_white);	
	twhat.style(s);
	twhat.setText(buf);
	s.setFore(cc_green);	
	if (outb) {
		twho.style(s);
		sprintf(buf,"[ %s ]",who.c_str());
		twho.setText(buf);
	}
	else {
		s.tBold();
		twho.style(s);
		twho.setText(who);
		s.tBold();
	}
	twhat+=twho;
	s.setFore(cc_white);	
	twho.style(s);
	twho.setText(": ");
	twhat+=twho;
	twho.setText(what);
	twhat+=twho;
	(*_ta)+=twhat;
	_rebld=true;
}
