#ifndef __CFPROFILE_H__
#define __CFPROFILE_H__

#include "Window.H"
#include "TextArea.H"
#include "YahooProfile.H"

class CFProfile: public Window {
	public:
		CFProfile(const string &who, int wdth, int hght, bool brdr=true,bool shdw=true);
		~CFProfile();
		widstat input(Char inp);
		widstat style(Char stile);
		int fetchProfile(const string &who);
	private:
		YahooProfile _yp;
		Char _tstile;
		Char _kstile;
		TextArea *_ta;
		pthread_t _prunner;
		bool _running;
		string _owner;
		string _who;
		string _name;
		string _location;
		string _age;
		string _mstatus;
		string _sex;
		string _occupation;
		string _quote;
		string _hobbies;
		string _news;
		string _picture;
		bool _online;

		static void *threadRunner(CFProfile *this_);
		void paint();
		CFProfile(const CFProfile &);
		CFProfile &operator=(const CFProfile &);
};

#endif // __CFPROFILE_H__
