#include "Checkbox.H"

#include "Logger.H"
extern Logger logger;

Checkbox::Checkbox(bool checked):
		_changed(true),
		_checked(checked) {
	_grd=new Grid(3,1);
}

Checkbox::~Checkbox() {
	delete(_grd);
}

widstat Checkbox::input(Char inp) {
//	if ((inp.getSymbol()==0x20) || (inp.isEnter())) {
	if (inp.getSymbol()==0x20) {
		_checked=!_checked;
		_changed=true;
	}
	else
		return (ws_rejected);
	return (ws_accepted);
}

widstat Checkbox::gotFocus() {
	if (!_cstile.isBlink()) {
		_cstile.tReverse();
		_cstile.tBlink();
	}
	_changed=true;
	return (ws_accepted);
}

void Checkbox::lostFocus() {
	if (_cstile.isBlink()) {
		_cstile.tReverse();
		_cstile.tBlink();
	}
	_changed=true;
}

const Grid &Checkbox::draw() {
	Char c=_stile;
	c='[';
	(*_grd).set(0,0,c);
	c=']';
	(*_grd).set(2,0,c);
	c=_cstile;
	if (_checked)
		c='*';
	else
		c=' ';
	(*_grd).set(1,0,c);
	_changed=false;
	return (*_grd);
}
