#ifndef __FSTRLIST_H__
#define __FSTRLIST_H__

#include "StrList.H"
#include <stdio.h>

class FStrList: public StrList {
	public:
		FStrList(const string &fname);
		FStrList &operator=(const StrList &);
		~FStrList();
		int add(const string &str);
		int add(const StrList &strlist);
		int remove(const string &str);
		int remove(unsigned int idx);
	private:
		FStrList(const FStrList &);
		void rewrite();
		string _filename;
		FILE *_fp;
};

#endif //__FSTRLIST_H__
