#ifndef __FSTRPAIRLIST_H__
#define __FSTRPAIRLIST_H__

#include "StrPairList.H"
#include <stdio.h>

class FStrPairList: public StrPairList {
	public:
		FStrPairList(const string &fname, bool autoupdate=false);
		~FStrPairList();
		int add(const string &key, const string &data);
		int remove(const string &key);
		bool inlist(const string &key);
        int get(const string &key, string &data);
        int get(unsigned int idx, string &key, string &data);
        string operator[](unsigned int idx);
        unsigned int size();
	private:
		FStrPairList(const FStrPairList &);
		FStrPairList &operator=(const FStrPairList &);
		void rewrite();
		void reread();
		bool update();
		string _filename;
		bool _autoupdate;
		mutable unsigned long _mtime;
		FILE *_fp;
};

#endif //__FSTRPAIRLIST_H__
