#ifndef __KSHTEXTINPUT_H__
#define __KSHTEXTINPUT_H__

#include "StrList.H"
#include "StrPairList.H"
#include "TextInput.H"

class KshTextInput: public TextInput {
	public:
		KshTextInput(unsigned int wdth, unsigned int maxlen,
				StrList &path, StrPairList &env);
		~KshTextInput();
		widstat input(Char chr);
	private:
		bool _command;
		bool _change;
		bool _word;
		bool _delete;
		bool _replace;
		unsigned int _startpos;
		unsigned int _endpos;
		unsigned int _iteration;
		Text _undo;
		StrList &_path;
		StrPairList &_env;
		StrPairList _localenv;
		KshTextInput(const KshTextInput &);
		KshTextInput &operator=(const KshTextInput &);
};

#endif // __KSHTEXTINPUT_H__
