#ifndef _MENU_H_
#define _MENU_H_

#include "Widget.H"
#include "WidgetList.H"
#include "StrList.H"
#include "Text.H"

class Menu: public Widget {
	public:
		Menu(int wdth=-1);
		~Menu();
		virtual widstat input(Char chr);
		virtual const Grid &draw();
		virtual bool update() {  return (_changed); }
		virtual unsigned int height() const  { return (_totalheight); }
		virtual unsigned int width() const { return (_totalwidth); }
		virtual unsigned int elements() const { return (_elements); }
		virtual widstat style(Char chr);
		virtual widstat gotFocus();
		virtual void lostFocus();
		virtual int addMenuItem(string name, Menu *wgt, Char activator=0x0);
		virtual int handleMenuItem(const string &, const StrList=""){return 1; }
		virtual bool isActiveMenuItem(const string &) { return true; }
		virtual string menuItemText(const string &name) { return (name); }
	private:
		WidgetList _itemlist;
		Grid *_whole;
		Grid *_parent;
		unsigned int _width;
		unsigned int _elements;
		unsigned int _totalwidth;
		unsigned int _totalheight;
		int _active;
		bool _fixedw;
		Char _stile;
		bool _changed;
		Menu(const Menu &);
		Menu &operator=(const Menu &);
};

#endif // _MENU_H_
