#ifndef __HELPFILE_H__
#define __HELPFILE_H__

const char *HELP_CONTENTS="
             Key  Function
----------------  ---------------------------------
              F1  help
              F2  toggle color / monochrome
              F3  toggle chatters list
              F4  toggle PM history list
              F5  toggles profile window
              F9  throttle controls (caution)
             F10  activate on-screen menus
             F11  screenshot (saved to '/tmp/scr')
    Alt (letter)  activate onscreen menu
  Ctrl (uparrow)  scroll input back
Ctrl (downarrow)  scroll input forward
             Esc  cancels or exits menus
        Home/End  scroll chat window to begin/end
       Pgup/Pgdn  scroll chat window by a page
             Tab  auto-completion of chatters
  up/down arrows  navigate onscreen menus or scroll
                    active window

Command     Arg.      Function
-------     ------    ----------------------------
 !<command>           exec/show <command> output
!!<command>           <command> output local only
 :          <text>    emote <text>
 /about               about Curfloo
 /away                restores status
 /away      <message> changes user status and sends
                      <message> in reply to PMs
 /chatters            list chatters
 /clear               clears the text area buffer
 /follow    <user>    takes you along when <user
                      changes rooms
 /follow              stops following
 /goto      <user>    goto <user>'s room
 /help                display this message
 /ignore              show all ignored chatters
 /ignore    <user>    filter all text from <user>
 /invite    <user>    invite <user> to your room
 /join      <room>    change to <room>
                      also use to create <room>
 /logoff              exit chat, return to login
 /mute      <user>    blocks display from <user>
                      until you restart Curfloo
 /mute                shows current mute list 
 /profile   <user>    displays <user> profile
 /profile             toggles profile window
 /quit                exit Curfloo
 /roll      <x:n>     roll x n-sided die
 /tell      <user>    send private message
 /think     <text>    have a thought with <text>
 /unignore  <user>    remove <user> from ignore
 /unmute    <user>    remove <user> from mute
 /ver                 display version, URL
 /who                 list online friends

";

#endif /* __HELPFILE_H__ */
